function newtable = transposeTable(data, colsToKeep, colName, TimeStamps)


newtable = table2array(data(:,colsToKeep));
newtable = array2table(newtable');

% Converting tickers to valid Variable/Column names Eg.: BR.B
varnames = matlab.lang.makeValidName(data{:,colName});
newtable.Properties.VariableNames = cellstr(varnames);

% Making the timestamps the first column
newtable.Dates = TimeStamps;
newtable = newtable(:,[end 1:end-1]);

end

